/*

	Document   : estilos.css
	TODO customize this sample style

*/


/* :root ================================= */
:root {
	/* unitless number */
    --paddingForm-base: 36px;
    --tituloHedaer-base: 36px;
	--titulo-base: 24px;
	--font18-base: 18px;
	--font-base: 16px;
	/* color */
	--branco-color: #ffffff;
	--preto-color: #282425;
	--vermelho-color: #d52727;
	--amarelo-color: #f3ead4;
	/* backs */
	--branco-background-color: #ffffff;
	--preto-background-color: #282425;
	--vermelho-background-color: #d52727;
	--amarelo-background-color: #f3ead4;
	/* border */
	--branco-border-color: #ffffff;
	--preto-border-color: #282425;
	--vermelho-border-color: #d52727;
	--amarelo-border-color: #f3ead4;
	/* 
		Uso:
		color: var(--exemplo-color
	*/
}
/* seletor Universal ===================== */
*, *:after, *:before 						{ 
	-moz-box-sizing: border-box; 
	-webkit-box-sizing: border-box; 
	box-sizing: border-box; 
	margin: 0; 
	padding: 0; 
	border:0; 
	outline: none; 
}

/*

	# 	ressets

========================================== */
html, body, div, span, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, abbr, address, cite, code, del, dfn, em, img, ins, kbd, q, samp, small, strong, sub, sup, var, b, i, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, details, figure, figcaption, footer, header, hgroup, menu, nav, section, time, mark, audio, video { margin:0; padding:0; border:0; outline:0; font-size:100%; font-weight:normal; vertical-align:baseline; outline:none; }
article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section { display: block; }

body, html 									{ height: 100%; }
html 										{ background: var(--preto-background-color); }
body 										{ font:16px Helvetica, sans-serif; color:#000000; background-color: var(--preto-background-color); }
img 										{ border:none; overflow: hidden; display: inline-block; vertical-align: top; zoom: 1; *display: inline; }
fieldset									{ display:block; border:none; }
nav ul 										{ overflow: hidden; }
ul li										{ list-style:none; }
a											{ text-decoration:none; outline: none !important;}
p strong									{ font-weight:bold; }


/*

	# 	recursos
	# 	arvore de recursos
	#	=> recuros do sistema
	#	=> recursos do layout

========================================== */

/* recuros do sistema ==================== */
.debug                                      { width: 100%; position: fixed; top: -100px; z-index: 9999; padding:30px 10px; text-align: center; border-bottom: 1px solid #666; background: #feefb3; color: #333; font-size: 16px; font-family: Arial, Tahoma; cursor: pointer; -webkit-box-sizing: border-box; -moz-box-sizing: border-box; box-sizing: border-box; transition:all 1s ease; -moz-transition:all 1s ease; -ms-transition:all 1s ease; -o-transition:all 1s ease; -webkit-transition:all 1s ease; }
.debug_ativo                                { top: 0; transition:all 1s ease; -moz-transition:all 1s ease; -ms-transition:all 1s ease; -o-transition:all 1s ease; -webkit-transition:all 1s ease; }
.warning_class                              { background:url('/js/4/autoform/booble.gif') top left no-repeat; color: #ffffff; z-index: 500; font-weight:bold; line-height:20px;height:25px; min-width:200px; padding-left:4px; text-align:left }
.resposta                                   { width: 100%; display: block; color: #fff; padding:10px; text-align:center; border:1px solid #ccc; font-size:16px; margin:10px 0 30px 0; }

/* recuros do layout ===================== */
.none                                       { display:none; }
.clear                                      { clear:both; }
.textNone                                   { text-indent: -9999px  !important; overflow: hidden  !important; outline: none  !important; }
.aparence                                   { -webkit-appearance: none !important;  -moz-appearance: none !important;  appearance: none !important; }

/* regras gerais  ======================== */
.flex                                       { display: -webkit-box; display: -moz-box; display: -ms-flexbox; display: -webkit-flex; display: flex; }
.rowNoWrap                                  { flex-flow: row nowrap; -ms-flex-flow: row nowrap; -webkit-flex-flow: row nowrap; }
.rowWrap                                    { flex-flow: row wrap; -ms-flex-flow: row wrap; -webkit-flex-flow: row wrap; }
.flexStart                                  { justify-content: flex-start; }
.flexEnd                                    { justify-content: flex-end; }
.flexCenter                                 { justify-content: center; }
.flexBetween                                { justify-content: space-between; }
.flexAround                                	{ justify-content: space-around; }
.alignItens 								{ align-items: center; }

/* background-size ======================== */
.cover                                      {  -webkit-background-size: cover !important;  -moz-background-size: cover !important;  -o-background-size: cover !important;  background-size: cover !important;  }
.contain                                    {  -webkit-background-size: contain;  -moz-background-size: contain;  -o-background-size: contain;  background-size: contain;  }

/* cover em Pseudo classe ================= */
.coverPseudoElement::before,
.coverPseudoElement::after                  {  -webkit-background-size: cover;  -moz-background-size: cover;  -o-background-size: cover;  background-size: cover;  }

/* background-position ==================== */
.backCenterNoRepeat                         { background-position: center center; background-repeat: no-repeat; }
.backTopNoRepeat                            { background-position: top center; background-repeat: no-repeat; }
.backAttachment                             { background-attachment: fixed; }


/* Float's ================================ */
.fLeft                                      { float: left; }
.fRight                                     { float: right; }

/* Colunas ================================ */
.col_1 										{ width: 100%; }
.col_1_2,
.col_2_4 									{ width: 50%; }

.col_1_3 									{ width: 33.33%; }
.col_2_3 									{ width: 66.66%; }

.col_1_4 									{ width: 25%; }
.col_3_4 									{ width: 75%; }

.col_1_5 									{ width: 20%; }
.col_2_5 									{ width: 40%; }
.col_3_5 									{ width: 60%; }
.col_4_5 									{ width: 80%; }

/* container's ============================ */
.container									{ width:100%; }
.content									{ width:1380px; margin: 0 auto; }

/* gcBox | Padões de textos e etc */
.gcBox 										{ font-size: var(--font18-base); font-family: "Lato"; color: rgba(40, 36, 37, 0.502); font-weight: bold; line-height: 1.5; text-align: left; }
.gcBox p                                    { margin-bottom: 1em; }
.gcBox a                                    { color:#000; text-decoration: underline; }
.gcBox h1                                   { font-size: 30px; }
.gcBox h2                                   { font-size: 25px; }
.gcBox h3                                   { font-size: 20px; }
.gcBox h4                                   { font-size: 18px; }
.gcBox h5                                   { font-size: 16px; }
.gcBox h6                                   { font-size: 14px; }

.gcBox sub 									{ vertical-align: sub; font-size: smaller; }
.gcBox sup 									{ vertical-align: super; font-size: smaller; }    
.gcBox blockquote 							{ display: block; -webkit-margin-before: 1em; -webkit-margin-after: 1em; -webkit-margin-start: 40px; -webkit-margin-end: 40px; }

.gcBox ul 									{ padding-left: 20px; }
.gcBox ul li                                { list-style: disc; }
.gcBox ol 									{ padding-left: 20px; }
.gcBox ol li                                { list-style: decimal; }

.gcBox img {
	float: left;
	display: block;
	border: 0;
	margin: 0 1em 1em 0;
}
.imgGaleria.subTitulo {
	font-size: var(--titulo-base);
	margin-bottom: 1em;
}

.backblacBlack	 							{ background-color: #000; }
.backblack  								{ background-color: var(--preto-background-color) }
.backbAmarelo  								{ background-color: var(--amarelo-background-color) }
.backbAVermelho  							{ background-color: var(--vermelho-background-color) }

.subTitulo									{ display: inline-block; font-size: var(--tituloHedaer-base); font-family: "Archivo"; font-weight: 900; }

.ctaBox a  									{ display: block; height: 35px; padding: 0 4em; font-size: 12px; line-height: 35px; text-transform: uppercase; font-family: "Lato"; border-style: solid; border-width: 1px 1px 1px 1px; }
.ctaBox a.colorVerde  						{ color: rgb(29, 111, 78); }
.ctaBox a.borderVerde  						{ border-color: rgb(29, 111, 78); }
.ctaBox a.colorBranco  						{ color: #fff; }
.ctaBox a.borderBranco  					{ border-color: #fff; }

.paddingVertical 							{ padding: 3em 0; }
/*
    IE10 and IE11
    ================== 
*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) { 
    /* todas as regras do IE10 e IE11 */
}

/* Transições ============================ */
header.navHeader a,
header.navHeader a::before,
header.navHeader a::after,
ul.controlerFX,
ul.controlerFX li,
aside.pesquiseAgora,
aside.pesquiseAgora.abrePesquisa form,
.eventos a,
.eventos a.ctaFull::before,
#pageView aside.col_1_3.sidebar a,
#pageView .accordion a,
.noticiasLista.lista3em3 ul,
.noticiasLista.lista3em3 ul li {
	-webkit-transition: all .3s ease;
	-moz-transition:    all .3s ease;
	-ms-transition:     all .3s ease;
	-o-transition:      all .3s ease;
	transition:         all .3s ease;
}
aside.menuResponsivo,
.canvasBox,
aside.menuResponsivo form {
	-webkit-transition: all .5s ease;
	-moz-transition:    all .5s ease;
	-ms-transition:     all .5s ease;
	-o-transition:      all .5s ease;
	transition:         all .5s ease;
}
aside.pesquiseAgora form {
	-webkit-transition: all 1s ease;
	-moz-transition:    all 1s ease;
	-ms-transition:     all 1s ease;
	-o-transition:      all 1s ease;
	transition:         all 1s ease;
}

/* Transformações ======================== */
#slidebox .content {
	-moz-transform:  	translateX(-50%);
	-webkit-transform: 	translateX(-50%);
	-o-transform: 		translateX(-50%);
	-ms-transform: 		translateX(-50%);
	transform: 			translateX(-50%);
}
.navMain  a.pesquisa::before,
.slideNav,
.navNoticias div.select::after  {
	-moz-transform:  	translateY(-50%);
	-webkit-transform: 	translateY(-50%);
	-o-transform: 		translateY(-50%);
	-ms-transform: 		translateY(-50%);
	transform: 			translateY(-50%);	
}
.navMain h1 a::after{
	-moz-transform:     skewX(-10deg);
	-webkit-transform:  skewX(-10deg);
	-o-transform:       skewX(-10deg);
	-ms-transform:      skewX(-10deg);
	transform:          skewX(-10deg);
}
/* Keyframes ============================ */

/* opacity100 3s */
.className {
	-webkit-animation: opacity100 3s; /* Safari 4+ */
	-moz-animation:    opacity100 3s; /* Fx 5+ */
	-o-animation:      opacity100 3s; /* Opera 12+ */
	animation:         opacity100 3s; /* IE 10+, Fx 29+ */
}

/* effetcs | opacity - 0 > 100% */
@-webkit-keyframes opacity100 {
  0%   { opacity: 0; }
  100% { opacity: 1; }
}
@-moz-keyframes opacity100 {
  0%   { opacity: 0; }
  100% { opacity: 1; }
}
@-o-keyframes opacity100 {
  0%   { opacity: 0; }
  100% { opacity: 1; }
}
@keyframes opacity100 {
  0%   { opacity: 0; }
  100% { opacity: 1; }
}
